petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESGetTolerances

Gets various parameters used in convergence tests.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetTolerances(SNES snes,PetscReal *atol,PetscReal *rtol,PetscReal *stol,PetscInt *maxit,PetscInt *maxf)

Not Collective

### Input Parameters

| snes | - the SNES context
| atol | - absolute convergence tolerance
| rtol | - relative convergence tolerance
| stol | - convergence tolerance in terms of the norm of the change in the solution between steps
| maxit | - maximum number of iterations
| maxf | - maximum number of function evaluations

### Notes

The user can specify NULL for any parameter that is not needed.

### Keywords

SNES, nonlinear, get, convergence, tolerances

### See Also

SNESSetTolerances()

### Level

intermediate

### Location

src/snes/interface/snes.c

### Examples

src/snes/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex35.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages